package com.nisum.splitmerchantpayment.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "customer")
/**
 * This is Customer class which has
 * all setters and getters
 * constructors
 * toString methods by single lombok annotation
 */
public class Customer {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(name = "id")
    private Integer id;
    @Column(name = "name")
    @NotNull
    private String name;
    @Column(name = "phone_number", unique = true, nullable = false)
    @NotNull
    private String phoneNumber;
    @Column(name = "address_lane1")
    @NotNull
    private String addressLane1;
    @Column(name = "address_lane2")
    @NotNull
    private String addressLane2;
    @Column(name = "city")
    @NotNull
    private String city;
    @Column(name = "state")
    @NotNull
    private String state;
    @OneToMany(cascade = CascadeType.ALL)
    @JoinColumn(name = "customer_id")
    @NotNull
    private List<OrderDao> orderDao;
}
