package com.nisum.splitmerchantpayment.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.time.LocalTime;
import java.time.temporal.ChronoUnit;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "orders")
/**
 * This is Order class which has
 * all setters and getters
 * constructors
 * toString methods by single lombok annotation
 */
public class OrderDao {
    @Id
    @Column(name = "order_id")
    private String orderId;
    //    @ManyToOne(cascade = CascadeType.ALL)
//    @JoinColumn(name = "customer_Id")
//    private Customer customer;
    @Column(name = "bill")
    @NotNull
    private Double bill;
    @Column(name = "order_date")
    @NotNull
    private final LocalDate LOCAL_DATE = LocalDate.now();
    @Column(name = "order_time")
    @NotNull
    private final LocalTime LOCAL_TIME = LocalTime.now().truncatedTo(ChronoUnit.SECONDS);
    @OneToMany(cascade = CascadeType.ALL)
    @JoinColumn(name = "order_id")
    @NotNull
    private List<OrderedProduct> orderedProductList;
}