package com.nisum.splitmerchantpayment.repository;

import com.nisum.splitmerchantpayment.entity.Product;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import javax.transaction.Transactional;
import java.util.List;

public interface ProductRepository extends JpaRepository<Product, String> {

    List<Product> findAllByIsActive(Boolean isActive);

    @Modifying
    @Transactional
    @Query(value = "update Product set isActive = true where productId = ?1")
    void unDeleteById(String productId);

}
